package Globus::Core::Paths;

require Exporter;

@ISA = qw(Exporter);

@EXPORT = qw($prefix $exec_prefix
	     $bindir $sbindir $libdir
	     $includedir $flavorincludedir
	     $datadir $libexecdir
	     $sysconfdir $sharedstatedir
	     $localstatedir
	     $setupdir $testdir
	     $perlmoduledir
	     $tmpdir
	     $local_tmpdir
	     $secure_tmpdir);

my $PACKAGE = "\$PACKAGE";
my $GLOBUS_FLAVOR_NAME = "\$GLOBUS_FLAVOR_NAME";

$prefix=$ENV{GLOBUS_LOCATION};
$prefix="/usr" if (!defined $prefix);
$exec_prefix=$ENV{GLOBUS_LOCATION};
$exec_prefix="/usr" if (!defined $exec_prefix);
$bindir="${exec_prefix}/bin";
$sbindir="${exec_prefix}/sbin";
$libdir="${exec_prefix}/lib";
$includedir="${prefix}/include/globus";
$flavorincludedir="${libdir}/globus/include";
$datadir="${prefix}/share";
$libexecdir="${datadir}/globus";
$sysconfdir="${prefix}/etc";
$sharedstatedir="${prefix}/com";
$localstatedir="${prefix}/var";
$setupdir="${datadir}/globus/setup";
$testdir="${datadir}/globus/test/${PACKAGE}";
$perlmoduledir="/usr/share/perl5";
$tmpdir="/tmp";
$local_tmpdir="${tmpdir}";
$secure_tmpdir="/var/tmp";

1;
